using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Order
{
    public enum EVisitType
    {
        /// <summary>
        /// 人工回访
        /// </summary>
        [Description("人工回访")]
        ArtificialVisit = 10,

        /// <summary>
        /// 智能语音回访
        /// </summary>
        [Description("智能语音回访")]
        ChipVoiceVisit = 20,

        /// <summary>
        /// 短信回访
        /// </summary>
        [Description("短信回访")]
        SmsVisit = 30,

        /// <summary>
        /// 网站回访
        /// </summary>
        [Description("网站回访")]
        WebVisit = 40,

        /// <summary>
        /// App回访
        /// </summary>
        [Description("App回访")]
        AppVisit = 50,

        /// <summary>
        /// 微信回访
        /// </summary>
        [Description("微信回访")]
        WeChatVisit = 60,

        /// <summary>
        /// 电话回访
        /// </summary>
        [Description("电话回访")]
        CallVisit = 70,

        /// <summary>
        /// 其他
        /// </summary>
        [Description("其他")]
        OtherVisit = 100,
    }

    public enum EAiVisitResult
    {
        /// <summary>
        /// 部门办件不满意
        /// </summary>
        [Description("部门办件不满意")]
        OrgProcessingResultsNoSatisfied = 1,
    }
}
